package com.deepclone.lw.beans.bt.es.data;


import java.io.Serializable;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;



@XStreamAlias( "building" )
public class BuildingsInformation
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private transient int planetId;

	@XStreamAsAttribute
	@XStreamAlias( "id" )
	private int id;

	@XStreamAsAttribute
	@XStreamAlias( "name" )
	private String name;

	@XStreamAsAttribute
	@XStreamAlias( "amount" )
	private int amount;

	@XStreamAsAttribute
	@XStreamAlias( "damage" )
	private double damage;


	public int getPlanetId( )
	{
		return planetId;
	}


	public void setPlanetId( int planetId )
	{
		this.planetId = planetId;
	}


	public int getId( )
	{
		return id;
	}


	public void setId( int id )
	{
		this.id = id;
	}


	public String getName( )
	{
		return name;
	}


	public void setName( String name )
	{
		this.name = name;
	}


	public int getAmount( )
	{
		return amount;
	}


	public void setAmount( int amount )
	{
		this.amount = amount;
	}


	public double getDamage( )
	{
		return damage;
	}


	public void setDamage( double damage )
	{
		this.damage = damage;
	}

}
