package com.deepclone.lw.beans.bt.es.data;


import java.io.Serializable;
import java.util.LinkedList;
import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;
import com.thoughtworks.xstream.annotations.XStreamImplicit;



public class QueueInformation
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	@XStreamAsAttribute
	@XStreamAlias( "accumulated-work" )
	private double accWork;

	@XStreamAsAttribute
	@XStreamAlias( "accumulated-money" )
	private double accMoney;

	@XStreamImplicit( itemFieldName = "item" )
	private List< QueueItemInformation > items = new LinkedList< QueueItemInformation >( );


	public double getAccWork( )
	{
		return accWork;
	}


	public void setAccWork( double accWork )
	{
		this.accWork = accWork;
	}


	public double getAccMoney( )
	{
		return accMoney;
	}


	public void setAccMoney( double accMoney )
	{
		this.accMoney = accMoney;
	}


	public List< QueueItemInformation > getItems( )
	{
		return items;
	}

}
