package com.deepclone.lw.beans.bt.es.data;


import java.io.Serializable;



/**
 * Empty, base research record
 * 
 * <p>
 * This class used to contain B6M1 research line entries; however, in order to support B6M2
 * technologies while maintaining XML compatibility, it has been replaced with an empty class which
 * servces as the base class for both old and new records.
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 * 
 */
@SuppressWarnings( "serial" )
public abstract class ResearchInformation
		implements Serializable

{
	// EMPTY
}
