package com.deepclone.lw.beans.eventlog;


import com.deepclone.lw.sqld.sys.SystemLogEntry;



/**
 * Log writer queue entries only carry a log entry, which may be null to indicate that the log
 * writer's task must be terminated.
 * 
 * @author tseeker
 */
class EntryQueueItem
{

	/** The log entry */
	final SystemLogEntry entry;


	/** Initialises a "termination" queue entry */
	EntryQueueItem( )
	{
		this.entry = null;
	}


	/** Initialises a log-carrying queue entry */
	EntryQueueItem( SystemLogEntry entry )
	{
		this.entry = entry;
	}

}
