package com.deepclone.lw.beans.mailer;


/**
 * This class represents a queued mail on the mail task's queue. It carries both the target address
 * and the message's contents.
 * 
 * @author tseeker
 */
class QueuedMail
		extends MailQueueItem
{
	/** The target mail address */
	final String mailTo;

	/** The contents of the email */
	final String message;


	/** Initialises the queued mail */
	QueuedMail( String mailTo , String message )
	{
		this.mailTo = mailTo;
		this.message = message;
	}
}