package com.deepclone.lw.beans.msgs.fmt;


import com.deepclone.lw.interfaces.msg.MessageExtractor;
import com.deepclone.lw.sqld.msgs.AllianceEventRecord;



abstract class AllianceMessageExtractor
		implements MessageExtractor
{

	protected AllianceEventRecord event;
	protected String mTitle;
	protected String mBody;


	protected AllianceMessageExtractor( AllianceEventRecord event , String mTitle , String mBody )
	{
		this.event = event;
		this.mTitle = mTitle;
		this.mBody = mBody;
	}


	@Override
	public String getSender( )
	{
		return "[" + event.getAllianceTag( ) + "]";
	}

}
