package com.deepclone.lw.beans.msgs.fmt;


import com.deepclone.lw.interfaces.msg.MessageExtractor;
import com.deepclone.lw.sqld.msgs.PlanetEventRecord;



abstract class PlanetMessageExtractor
		implements MessageExtractor
{

	protected PlanetEventRecord event;


	public PlanetMessageExtractor( PlanetEventRecord event )
	{
		this.event = event;
	}


	protected String getLocation( )
	{
		return "{{planet:" + this.event.getLocationId( ) + " " + this.event.getLocationName( ) + "}} ("
				+ this.event.getX( ) + "," + this.event.getY( ) + ";" + this.event.getOrbit( ) + ")";
	}

}
