/*
 * Test the sys.gu_research_get_empires() function
 */
BEGIN;
	\i utils/common-setup/setup-gu-research-get-empires-test.sql

	SELECT plan( 2 );

	SELECT diag_test_name( 'gu_research_get_empires() - Selected empires and vacation state' );
	SELECT set_eq( $$
		SELECT * FROM sys.gu_research_get_empires( 0::BIGINT );
	$$ , $$ VALUES (
		_get_emp_name( 'emp4') , FALSE
	) , (
		_get_emp_name( 'emp5') , TRUE
	) $$ );

	SELECT diag_test_name( 'gu_research_get_empires() - No results with "bad" update identifier' );
	SELECT is_empty( $$
		SELECT * FROM sys.gu_research_get_empires( 12::BIGINT );
	$$ );

	SELECT * FROM finish( );
ROLLBACK;