/*
 * Test privileges on emp.resources
 */
BEGIN;
	SELECT plan( 4 );
	
	SELECT diag_test_name( 'emp.resources - INSERT privileges' );
	SELECT throws_ok(
		$$ INSERT INTO emp.resources( resource_name_id ) VALUES ( 1 ); $$ ,
		42501 );

	SELECT diag_test_name( 'emp.resources - UPDATE privileges' );
	SELECT throws_ok(
		$$ UPDATE emp.resources SET empres_possessed = 42; $$ ,
		42501 );

	SELECT diag_test_name( 'emp.resources - SELECT privileges' );
	SELECT throws_ok(
		$$ SELECT * FROM emp.resources; $$ ,
		42501 );

	SELECT diag_test_name( 'emp.resources - DELETE privileges' );
	SELECT throws_ok(
		$$ DELETE FROM emp.resources; $$ ,
		42501 );

	SELECT * FROM finish( );
ROLLBACK;