/*
 * Test privileges on the variant of verse.create_resource_providers( ) which
 * takes a resource statistics record as a parameter.
 */
BEGIN;

	SELECT plan( 1 );
	
	SELECT diag_test_name( 'verse.create_resource_providers( area , type ) - Privileges' );
	PREPARE _test_this AS
		SELECT verse.create_resource_providers(
			ROW( 0 , 0 , 1 , 1 ) ,
			ROW( 42 , 0.0 , 0.0 , 0.5 , 0.0 , 5.0 , 0.0 , 0.0 , 0.75 , 0.0 , 0.0 , 0.5 , 0 )
		);
	SELECT throws_ok( '_test_this' , 42501 );
	
	SELECT * FROM finish( );
ROLLBACK;