package com.deepclone.lw.sqld.msgs;


import java.sql.Timestamp;



public abstract class MessageDataRecord
{
	private final boolean internal;
	private long id;
	private Timestamp timestamp;
	private long tick;


	protected MessageDataRecord( boolean internal )
	{
		this.internal = internal;
	}


	public long getId( )
	{
		return id;
	}


	public void setId( long id )
	{
		this.id = id;
	}


	public Timestamp getTimestamp( )
	{
		return timestamp;
	}


	public void setTimestamp( Timestamp timestamp )
	{
		this.timestamp = timestamp;
	}


	public long getTick( )
	{
		return tick;
	}


	public void setTick( long tick )
	{
		this.tick = tick;
	}


	public boolean isInternal( )
	{
		return internal;
	}

}
