package com.deepclone.lw.sqld.sys;


public class StackTraceLog
{
	private Long excId;

	private Integer order;

	private String location;

	private String fileName;

	private Integer line;


	public StackTraceLog( ExceptionLog eLog , String location , String fileName , Integer line )
	{
		this.location = location;
		this.fileName = fileName;
		this.line = line;
		eLog.addStackTrace( this );
	}


	public StackTraceLog( Long excId , Integer order , String location , String fileName , Integer line )
	{
		this.excId = excId;
		this.order = order;
		this.location = location;
		this.fileName = fileName;
		this.line = line;
	}


	public Long getExcId( )
	{
		return excId;
	}


	public Integer getOrder( )
	{
		return order;
	}


	public String getLocation( )
	{
		return location;
	}


	public String getFileName( )
	{
		return fileName;
	}


	public Integer getLine( )
	{
		return line;
	}

}
