package com.deepclone.lw.interfaces.eventlog;


import java.sql.Timestamp;
import java.util.List;

import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.admin.logs.GetEntryResponse;
import com.deepclone.lw.cmd.admin.logs.LogEntry;
import com.deepclone.lw.cmd.admin.logs.LogLevel;
import com.deepclone.lw.cmd.admin.logs.LogType;
import com.deepclone.lw.cmd.admin.logs.ViewLogResponse;



public interface LogReader
{

	public ViewLogResponse getLog( Administrator admin , LogType type , long first , int count , LogLevel minLevel ,
			String component , boolean excOnly );


	public GetEntryResponse getEntry( Administrator admin , long id );


	public List< ExtendedLogEntry > getErrorEntries( );


	public List< LogEntry > getAdminLogSince( Timestamp timestamp );

}
