package com.deepclone.lw.interfaces.i18n;


/**
 * Base class for exceptions that can be thrown by both the administration interface and the
 * translator bean.
 * 
 * @author tseeker
 */
public abstract class TranslationException
		extends I18NException
{

	private static final long serialVersionUID = 1L;


	public TranslationException( String message )
	{
		super( message );
	}

}
