package com.deepclone.lw.interfaces.i18n;


/**
 * This exception is thrown when a string identifier does not exist in the database.
 * 
 * @author tseeker
 */
public final class UnknownStringException
		extends TranslationException
{

	private static final long serialVersionUID = 1L;

	private String string;


	public UnknownStringException( String string )
	{
		super( "the requested i18n string '" + string + "' could not be found" );
		this.string = string;
	}


	public String getString( )
	{
		return this.string;
	}

}
