package com.deepclone.lw.interfaces.msg;


import com.deepclone.lw.cmd.msgdata.MessageType;
import com.deepclone.lw.cmd.player.msgs.ComposeMessageResponse;
import com.deepclone.lw.cmd.player.msgs.GetMessagesResponse;
import com.deepclone.lw.cmd.player.msgs.ListTargetsResponse;
import com.deepclone.lw.cmd.player.msgs.ReadMessageResponse;



public interface EmpireMessages
{

	public GetMessagesResponse getMessages( int empireId , boolean inbox );


	public ReadMessageResponse getMessage( int empireId , boolean inbox , long id );


	public void deleteMessages( int empireId , boolean inbox , long[] selection );


	public void markRead( int empireId , long[] selection );


	public void markUnread( int empireId , long[] selection );


	public ComposeMessageResponse prepareBlankMessage( int empireId );


	public ComposeMessageResponse prepareMessageTo( int empireId , MessageType type , int id );


	public ComposeMessageResponse sendMessage( int empireId , MessageType type , String target , String title ,
			String contents , boolean simulate );


	public ComposeMessageResponse sendReply( int empireId , boolean inbox , long replyTo , MessageType type ,
			String target , String title , String contents , boolean simulate );


	public ComposeMessageResponse prepareReply( int empireId , boolean inbox , long id );


	public ListTargetsResponse getTargets( int empireId );
}
