package com.deepclone.lw.interfaces.sys;


public class TickStatusException
		extends Exception
{
	/** Serialisation version identifier */
	private static final long serialVersionUID = 1L;

	public final Long tickIdentifier;


	public TickStatusException( )
	{
		super( "no tick in progress" );
		this.tickIdentifier = null;
	}


	public TickStatusException( long id )
	{
		super( "tick in progress" );
		this.tickIdentifier = id;
	}
}
