package com.deepclone.lw.cli.dbexport;


import java.io.Serializable;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;



@SuppressWarnings( "serial" )
@XStreamAlias( "user" )
public class User
		implements Serializable
{

	@XStreamAsAttribute
	public String address;

	@XStreamAsAttribute
	public String language;

	@XStreamAsAttribute
	@XStreamAlias( "game-credits" )
	public int gameCredits;
	
	@XStreamAsAttribute
	@XStreamAlias("vacation-credits")
	public int vacationCredits;

	public String md5;
	public String sha1;

	public String empire;

	public Warnings warnings;
	public Administrator administrator;

}
