package com.deepclone.lw.cli.xmlimport.data.evdef;


import com.thoughtworks.xstream.annotations.XStreamAlias;



/**
 * A boolean field definition
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
@XStreamAlias( "boolean" )
@SuppressWarnings( "serial" )
public class BooleanEventField
		extends EventFieldBase
{

	/** @return {@link EventFieldType#BOOLEAN} */
	@Override
	public EventFieldType getType( )
	{
		return EventFieldType.BOOLEAN;
	}

}
