package com.deepclone.lw.cmd.admin.bans;


import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class ListBansResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final BanType type;
	private final List< BanRequest > bans;


	public ListBansResponse( Administrator admin )
	{
		super( admin , false );
		this.type = null;
		this.bans = null;
	}


	public ListBansResponse( Administrator admin , BanType type , List< BanRequest > bans )
	{
		super( admin );
		this.type = type;
		this.bans = bans;
	}


	public BanType getType( )
	{
		return type;
	}


	public List< BanRequest > getBans( )
	{
		return bans;
	}

}
