package com.deepclone.lw.cmd.admin.bans;


import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class RejectBanResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;
	private final boolean error;
	private final int id;


	public RejectBanResponse( Administrator admin , boolean privError )
	{
		super( admin , !privError );
		this.error = false;
		this.id = 0;
	}


	public RejectBanResponse( Administrator admin , int requestId )
	{
		super( admin );
		this.error = true;
		this.id = requestId;
	}


	public boolean isError( )
	{
		return error;
	}


	public int getId( )
	{
		return id;
	}

}
