package com.deepclone.lw.cmd.admin.bt;


import com.deepclone.lw.cmd.bt.data.BugStatus;
import com.deepclone.lw.session.Command;



public class ValidateReportCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final long id;
	private final BugStatus status;
	private final boolean publicReport;
	private final int grantCredits;
	private final boolean snapshot;


	public ValidateReportCommand( long id , BugStatus status , boolean publicReport , int grantCredits ,
			boolean snapshot )
	{
		this.id = id;
		this.status = status;
		this.publicReport = publicReport;
		this.grantCredits = grantCredits;
		this.snapshot = snapshot;
	}


	public long getId( )
	{
		return id;
	}


	public BugStatus getStatus( )
	{
		return status;
	}


	public boolean isPublicReport( )
	{
		return publicReport;
	}


	public int getGrantCredits( )
	{
		return grantCredits;
	}


	public boolean isSnapshot( )
	{
		return snapshot;
	}

}
