package com.deepclone.lw.cmd.admin.constants;


import java.io.Serializable;



public class Definition
		implements Serializable , Comparable< Definition >
{

	private static final long serialVersionUID = 1L;

	private String name;
	private String description;
	private double value;
	private Double minValue;
	private Double maxValue;


	public String getName( )
	{
		return name;
	}


	public void setName( String name )
	{
		this.name = name;
	}


	public String getDescription( )
	{
		return description;
	}


	public void setDescription( String description )
	{
		this.description = description;
	}


	public double getValue( )
	{
		return value;
	}


	public void setValue( double value )
	{
		this.value = value;
	}


	public Double getMinValue( )
	{
		return minValue;
	}


	public void setMinValue( Double minValue )
	{
		this.minValue = minValue;
	}


	public Double getMaxValue( )
	{
		return maxValue;
	}


	public void setMaxValue( Double maxValue )
	{
		this.maxValue = maxValue;
	}


	@Override
	public int compareTo( Definition other )
	{
		if ( other == null ) {
			return 1;
		}
		return this.name.compareTo( other.name );
	}

}
