package com.deepclone.lw.cmd.admin.constants;


import java.util.List;

import com.deepclone.lw.cmd.admin.adata.Administrator;



public class SetConstantResponse
		extends GetConstantsResponse
{

	private static final long serialVersionUID = 1L;

	private final boolean error;
	private final String name;
	private final double value;


	public SetConstantResponse( Administrator admin , boolean privError )
	{
		super( admin , privError );
		this.error = false;
		this.name = null;
		this.value = 0;
	}


	public SetConstantResponse( Administrator admin , List< Category > cats , String name , double value )
	{
		super( admin , cats );
		this.error = true;
		this.name = name;
		this.value = value;
	}


	public boolean isError( )
	{
		return error;
	}


	public String getName( )
	{
		return name;
	}


	public double getValue( )
	{
		return value;
	}

}
