package com.deepclone.lw.cmd.admin.i18n;


import java.io.Serializable;



public class I18NString
		implements Serializable , Comparable< I18NString >
{

	private static final long serialVersionUID = 1L;

	private final String id;
	private final String text;


	public I18NString( String id , String text )
	{
		this.id = id;
		this.text = text;
	}


	public String getId( )
	{
		return id;
	}


	public String getText( )
	{
		return text;
	}


	@Override
	public int compareTo( I18NString other )
	{
		if ( other == null ) {
			return 1;
		}
		return this.id.compareTo( other.id );
	}

}
