package com.deepclone.lw.cmd.admin.i18n;


import java.util.List;

import com.deepclone.lw.cmd.admin.adata.Administrator;



public class SetStringResponse
		extends GetLanguageResponse
{

	private static final long serialVersionUID = 1L;

	private final String edited;


	public SetStringResponse( Administrator admin )
	{
		super( admin );
		this.edited = null;
	}


	public SetStringResponse( Administrator admin , Language language , List< I18NString > strings , String edited )
	{
		super( admin , language , strings );
		this.edited = edited;
	}


	public SetStringResponse( Administrator admin , Language language )
	{
		super( admin , language , null );
		this.edited = null;
	}


	public String getEdited( )
	{
		return edited;
	}

}
