package com.deepclone.lw.cmd.admin.i18n;


import java.util.Collections;
import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class ViewLanguagesResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final List< Language > languages;


	public ViewLanguagesResponse( Administrator admin )
	{
		super( admin , false );
		this.languages = null;
	}


	public ViewLanguagesResponse( Administrator admin , List< Language > languages )
	{
		super( admin , true );
		this.languages = languages;
		Collections.sort( this.languages );
	}


	public List< Language > getLanguages( )
	{
		return languages;
	}

}
