package com.deepclone.lw.cmd.admin.logs;


import java.io.Serializable;



public class TraceEntry
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private final String location;
	private final String fileName;
	private final Integer line;


	public TraceEntry( String location , String fileName , Integer line )
	{
		this.location = location;
		this.fileName = fileName;
		this.line = line;
	}


	public String getLocation( )
	{
		return location;
	}


	public String getFileName( )
	{
		return fileName;
	}


	public Integer getLine( )
	{
		return line;
	}

}
