package com.deepclone.lw.cmd.admin.mntm;


import java.util.Date;

import com.deepclone.lw.cmd.ObjectNameError;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class MaintenanceChangeResponse
		extends MaintenanceStatusResponse
{

	private static final long serialVersionUID = 1L;

	private final String newReason;
	private final ObjectNameError reasonError;
	private final long newDuration;


	public MaintenanceChangeResponse( Administrator admin , boolean privError )
	{
		super( admin , privError );
		this.newReason = null;
		this.reasonError = null;
		this.newDuration = 0;
	}


	public MaintenanceChangeResponse( Administrator admin , String reason , Date started , Date until ,
			String newReason , ObjectNameError reasonError , long newDuration )
	{
		super( admin , reason , started , until );
		this.newReason = newReason;
		this.reasonError = reasonError;
		this.newDuration = newDuration;
	}


	public String getNewReason( )
	{
		return newReason;
	}


	public ObjectNameError getReasonError( )
	{
		return reasonError;
	}


	public long getNewDuration( )
	{
		return newDuration;
	}

}
