package com.deepclone.lw.cmd.admin.mntm;


import java.util.Date;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class MaintenanceStatusResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final String reason;
	private final Date started;
	private final Date until;


	public MaintenanceStatusResponse( Administrator admin , boolean privError )
	{
		super( admin , !privError );
		this.reason = null;
		this.started = null;
		this.until = null;
	}


	public MaintenanceStatusResponse( Administrator admin , String reason , Date start , Date end )
	{
		super( admin );
		this.reason = reason;
		this.started = start;
		this.until = end;
	}


	public String getReason( )
	{
		return reason;
	}


	public Date getStarted( )
	{
		return started;
	}


	public Date getUntil( )
	{
		return until;
	}

}
