package com.deepclone.lw.cmd.admin.msg;


import com.deepclone.lw.session.Command;



public class MessageBoxCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final MessageBoxAction action;
	private final boolean inbox;
	private final long[] selection;


	public MessageBoxCommand( boolean inbox , long[] selection )
	{
		this.action = MessageBoxAction.DELETE;
		this.inbox = inbox;
		this.selection = selection;
	}


	public MessageBoxCommand( long[] selection , boolean read )
	{
		this.action = read ? MessageBoxAction.MARK_READ : MessageBoxAction.MARK_UNREAD;
		this.inbox = true;
		this.selection = selection;
	}


	public MessageBoxAction getAction( )
	{
		return action;
	}


	public boolean isInbox( )
	{
		return inbox;
	}


	public long[] getSelection( )
	{
		return selection;
	}

}
