package com.deepclone.lw.cmd.admin.msg;


import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.msgdata.Message;



public class ReadMessageResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final boolean inbox;
	private final Message message;


	public ReadMessageResponse( Administrator admin , boolean inbox )
	{
		super( admin );
		this.inbox = inbox;
		this.message = null;
	}


	public ReadMessageResponse( Administrator admin , boolean inbox , Message message )
	{
		super( admin );
		this.inbox = inbox;
		this.message = message;
	}


	public boolean isInbox( )
	{
		return inbox;
	}


	public Message getMessage( )
	{
		return message;
	}

}
