package com.deepclone.lw.cmd.admin.su;


import java.util.Collection;
import java.util.HashSet;
import java.util.Set;

import com.deepclone.lw.cmd.admin.adata.Privileges;



public class SetPrivilegesCommand
		extends ViewAdministratorCommand
{

	private static final long serialVersionUID = 1L;

	private final Set< Privileges > privileges;


	public SetPrivilegesCommand( int identifier , Collection< Privileges > privileges )
	{
		super( identifier );
		this.privileges = new HashSet< Privileges >( privileges );
	}


	public Set< Privileges > getPrivileges( )
	{
		return privileges;
	}

}
