package com.deepclone.lw.cmd.admin.su;


import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class ViewAdministratorResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final Administrator view;


	public ViewAdministratorResponse( Administrator admin , boolean privError )
	{
		super( admin , !privError );
		this.view = null;
	}


	public ViewAdministratorResponse( Administrator admin , Administrator view )
	{
		super( admin , true );
		this.view = view;
	}


	public Administrator getView( )
	{
		return view;
	}

}
