package com.deepclone.lw.cmd.admin.tick;


import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class TickerStatusResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final boolean paused;
	private final List< TickerTaskInfo > tasks;


	public TickerStatusResponse( Administrator admin )
	{
		super( admin , false );
		this.paused = false;
		this.tasks = null;
	}


	public TickerStatusResponse( Administrator admin , boolean paused , List< TickerTaskInfo > tasks )
	{
		super( admin );
		this.paused = paused;
		this.tasks = tasks;
	}


	public boolean isPaused( )
	{
		return paused;
	}


	public List< TickerTaskInfo > getTasks( )
	{
		return tasks;
	}

}
