package com.deepclone.lw.cmd.ext;


import com.deepclone.lw.session.Command;



public class ConfirmPasswordRecoveryCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final String mailAddress;

	private final String token;

	private final String password;

	private final String passwordConfirm;


	public ConfirmPasswordRecoveryCommand( String mailAddress , String token , String password , String passwordConfirm )
	{
		this.mailAddress = mailAddress;
		this.token = token;
		this.password = password;
		this.passwordConfirm = passwordConfirm;
	}


	public String getMailAddress( )
	{
		return this.mailAddress;
	}


	public String getToken( )
	{
		return this.token;
	}


	public String getPassword( )
	{
		return this.password;
	}


	public String getPasswordConfirm( )
	{
		return this.passwordConfirm;
	}

}
