package com.deepclone.lw.cmd.player;


import java.util.List;

import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;
import com.deepclone.lw.cmd.player.gdata.battles.BattleListEntry;
import com.deepclone.lw.cmd.player.gdata.empire.OverviewData;



public class EmpireResponse
		extends GameResponseBase
{

	private static final long serialVersionUID = 1L;
	private final OverviewData overview;
	private final List< BattleListEntry > battles;


	public EmpireResponse( GamePageData page , OverviewData overview , List< BattleListEntry > battles )
	{
		super( page );
		this.overview = overview;
		this.battles = battles;
	}


	public OverviewData getOverview( )
	{
		return overview;
	}


	public List< BattleListEntry > getBattles( )
	{
		return battles;
	}

}
