package com.deepclone.lw.cmd.player.alliances;


import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.alliance.AllianceCreationStatus;
import com.deepclone.lw.cmd.player.gdata.alliance.AllianceData;



public class CreateAllianceResponse
		extends AllianceStatusResponse
{

	private static final long serialVersionUID = 1L;

	private final AllianceCreationStatus creation;


	public CreateAllianceResponse( GamePageData page , AllianceData alliance , AllianceCreationStatus creation )
	{
		super( page , alliance );
		this.creation = creation;
	}


	public AllianceCreationStatus getCreation( )
	{
		return creation;
	}

}
