package com.deepclone.lw.cmd.player.alliances;


import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.alliance.AllianceData;
import com.deepclone.lw.cmd.player.gdata.alliance.PublicAllianceInformation;



public class ViewAllianceResponse
		extends AllianceStatusResponse
{

	private static final long serialVersionUID = 1L;

	private final String requested;
	private final PublicAllianceInformation info;


	public ViewAllianceResponse( GamePageData page , AllianceData alliance , String requested ,
			PublicAllianceInformation info )
	{
		super( page , alliance );
		this.requested = requested;
		this.info = info;
	}


	public String getRequested( )
	{
		return requested;
	}


	public PublicAllianceInformation getInfo( )
	{
		return info;
	}

}
