package com.deepclone.lw.cmd.player.fleets;


public class MoveFleetsCommand
		extends MultiFleetsCommand
{

	private static final long serialVersionUID = 1L;
	
	private final String destination;
	private final Boolean mode;


	public MoveFleetsCommand( long[] fleets )
	{
		super( fleets );
		this.destination = null;
		this.mode = null;
	}


	public MoveFleetsCommand( long[] fleets , String destination , boolean mode )
	{
		super( fleets );
		this.destination = destination;
		this.mode = mode;
	}


	public String getDestination( )
	{
		return destination;
	}


	public Boolean getMode( )
	{
		return mode;
	}

}
