package com.deepclone.lw.cmd.player.fleets;


import java.util.LinkedList;
import java.util.List;

import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;
import com.deepclone.lw.cmd.player.gdata.fleets.ShortFleetView;



public abstract class MultiFleetsResponse
		extends GameResponseBase
{

	private static final long serialVersionUID = 1L;

	private final List< ShortFleetView > fleets = new LinkedList< ShortFleetView >( );


	public MultiFleetsResponse( GamePageData page )
	{
		super( page );
	}


	public void addFleet( ShortFleetView fleet )
	{
		this.fleets.add( fleet );
	}


	public List< ShortFleetView > getFleets( )
	{
		return fleets;
	}

}
