package com.deepclone.lw.cmd.player.fleets;


public class RenameFleetsCommand
		extends MultiFleetsCommand
{

	private static final long serialVersionUID = 1L;

	private final boolean rename;
	private final String name;


	public RenameFleetsCommand( long[] fleets )
	{
		super( fleets );
		this.name = null;
		this.rename = false;
	}


	public RenameFleetsCommand( long[] fleets , String name )
	{
		super( fleets );
		this.name = name;
		this.rename = true;
	}


	public boolean isRename( )
	{
		return rename;
	}


	public String getName( )
	{
		return name;
	}

}
