package com.deepclone.lw.cmd.player.gdata.alliance;


import java.io.Serializable;

import com.deepclone.lw.cmd.ObjectNameError;



public class AllianceCreationStatus
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private final String tag;
	private final ObjectNameError tagError;
	private final String name;
	private final ObjectNameError nameError;


	public AllianceCreationStatus( String tag , ObjectNameError tagError , String name , ObjectNameError nameError )
	{
		this.tag = tag;
		this.tagError = tagError;
		this.name = name;
		this.nameError = nameError;
	}


	public String getTag( )
	{
		return tag;
	}


	public ObjectNameError getTagError( )
	{
		return tagError;
	}


	public String getName( )
	{
		return name;
	}


	public ObjectNameError getNameError( )
	{
		return nameError;
	}

}
