package com.deepclone.lw.cmd.player.gdata.alliance;


import java.io.Serializable;



public class PublicAllianceInformation
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private final int id;
	private final String tag;
	private final String name;
	private final int leaderId;
	private final String leaderName;
	private final long planets;


	public PublicAllianceInformation( int id , String tag , String name , int leaderId , String leaderName ,
			long planets )
	{
		this.id = id;
		this.tag = tag;
		this.name = name;
		this.leaderId = leaderId;
		this.leaderName = leaderName;
		this.planets = planets;
	}


	public int getId( )
	{
		return id;
	}


	public String getTag( )
	{
		return tag;
	}


	public String getName( )
	{
		return name;
	}


	public int getLeaderId( )
	{
		return leaderId;
	}


	public String getLeaderName( )
	{
		return leaderName;
	}


	public long getPlanets( )
	{
		return planets;
	}

}
