package com.deepclone.lw.cmd.player.gdata.battles;


import java.io.Serializable;
import java.util.LinkedList;
import java.util.List;



public class BattleEvent
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private BattleEventType type;
	private boolean planet;
	private String name;
	private Boolean hostile;
	private List< BattleShipType > ships = new LinkedList< BattleShipType >( );


	public BattleEventType getType( )
	{
		return type;
	}


	public void setType( BattleEventType type )
	{
		this.type = type;
	}


	public boolean isPlanet( )
	{
		return planet;
	}


	public void setPlanet( boolean planet )
	{
		this.planet = planet;
	}


	public String getName( )
	{
		return name;
	}


	public void setName( String name )
	{
		this.name = name;
	}


	public Boolean getHostile( )
	{
		return hostile;
	}


	public void setHostile( Boolean attack )
	{
		this.hostile = attack;
	}


	public void addShip( BattleShipType shipType )
	{
		this.ships.add( shipType );
	}


	public List< BattleShipType > getShips( )
	{
		return ships;
	}

}
