package com.deepclone.lw.cmd.player.gdata.battles;


import java.io.Serializable;
import java.util.LinkedList;
import java.util.List;

import com.deepclone.lw.cmd.player.gdata.TimeCombo;



public class BattleHistoryTick
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private final TimeCombo time;
	private final List< BattleEvent > events = new LinkedList< BattleEvent >( );


	public BattleHistoryTick( long tick )
	{
		this.time = new TimeCombo( tick );
	}


	public void addEvent( BattleEvent event )
	{
		this.events.add( event );
	}


	public TimeCombo getTime( )
	{
		return time;
	}


	public List< BattleEvent > getEvents( )
	{
		return events;
	}

}
