package com.deepclone.lw.cmd.player.gdata.fleets;


import java.io.Serializable;
import java.util.LinkedList;
import java.util.List;



public class FleetsView
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private final List< FleetLocation > locations = new LinkedList< FleetLocation >( );
	private final List< MovingFleet > moving = new LinkedList< MovingFleet >( );


	public void addLocation( FleetLocation location )
	{
		this.locations.add( location );
	}


	public List< FleetLocation > getLocations( )
	{
		return locations;
	}


	public void addMovingFleet( MovingFleet fleet )
	{
		this.moving.add( fleet );
	}


	public List< MovingFleet > getMoving( )
	{
		return moving;
	}

}
