package com.deepclone.lw.cmd.player.gdata.fleets;


import com.deepclone.lw.cmd.player.gdata.GameTime;
import com.deepclone.lw.cmd.player.gdata.NameIdPair;



public class MovingFleet
		extends StaticFleet
{

	private static final long serialVersionUID = 1L;

	private long timeLeft;
	private boolean attacking;
	private NameIdPair source;
	private NameIdPair destination;
	private double currentX;
	private double currentY;
	private NameIdPair nearest;


	public MovingFleet( long id , String name )
	{
		super( id , name );
	}


	public long getTimeLeft( )
	{
		return timeLeft;
	}


	public GameTime getGameTimeLeft( )
	{
		return new GameTime( this.timeLeft );
	}


	public void setTimeLeft( long timeLeft )
	{
		this.timeLeft = timeLeft;
	}


	public boolean isAttacking( )
	{
		return attacking;
	}


	public void setAttacking( boolean attacking )
	{
		this.attacking = attacking;
	}


	public NameIdPair getSource( )
	{
		return source;
	}


	public void setSource( NameIdPair source )
	{
		this.source = source;
	}


	public NameIdPair getDestination( )
	{
		return destination;
	}


	public void setDestination( NameIdPair destination )
	{
		this.destination = destination;
	}


	public double getCurrentX( )
	{
		return currentX;
	}


	public void setCurrentX( double currentX )
	{
		this.currentX = currentX;
	}


	public double getCurrentY( )
	{
		return currentY;
	}


	public void setCurrentY( double currentY )
	{
		this.currentY = currentY;
	}


	public NameIdPair getNearest( )
	{
		return nearest;
	}


	public void setNearest( NameIdPair nearest )
	{
		this.nearest = nearest;
	}


	public long getEta( )
	{
		return this.getPenalty( ) + this.timeLeft;
	}


	public GameTime getGameEta( )
	{
		return new GameTime( this.getPenalty( ) + this.timeLeft );
	}
}
