package com.deepclone.lw.cmd.player.gdata.fleets;


import com.deepclone.lw.cmd.player.gdata.GameTime;
import com.deepclone.lw.cmd.player.gdata.NameIdPair;



public class ShortFleetView
		extends NameIdPair
{

	private static final long serialVersionUID = 1L;

	private int flightTime;
	private GameTime gameFlightTime;
	private long power;
	private FleetStatus status;
	private int penalty;
	private boolean attack;
	private double x;
	private double y;
	private boolean atPlanet;
	private NameIdPair nearest;


	public ShortFleetView( long id , String name )
	{
		super( id , name );
	}


	public int getFlightTime( )
	{
		return flightTime;
	}


	public GameTime getGameFlightTime( )
	{
		return gameFlightTime;
	}


	public void setFlightTime( int flightTime )
	{
		this.flightTime = flightTime;
		this.gameFlightTime = new GameTime( flightTime );
	}


	public long getPower( )
	{
		return power;
	}


	public void setPower( long power )
	{
		this.power = power;
	}


	public FleetStatus getStatus( )
	{
		return status;
	}


	public void setStatus( FleetStatus status )
	{
		this.status = status;
	}


	public int getPenalty( )
	{
		return penalty;
	}


	public void setPenalty( int penalty )
	{
		this.penalty = penalty;
	}


	public boolean isAttack( )
	{
		return attack;
	}


	public void setAttack( boolean attack )
	{
		this.attack = attack;
	}


	public double getX( )
	{
		return x;
	}


	public void setX( double x )
	{
		this.x = x;
	}


	public double getY( )
	{
		return y;
	}


	public void setY( double y )
	{
		this.y = y;
	}


	public boolean isAtPlanet( )
	{
		return atPlanet;
	}


	public void setAtPlanet( boolean atPlanet )
	{
		this.atPlanet = atPlanet;
	}


	public NameIdPair getNearest( )
	{
		return nearest;
	}


	public void setNearest( NameIdPair nearest )
	{
		this.nearest = nearest;
	}

}
