package com.deepclone.lw.cmd.player.gdata.planets;


import java.io.Serializable;

import com.deepclone.lw.cmd.player.gdata.GameTime;



public class OwnPlanetStatusData
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private boolean abandonPossible;
	private boolean renamePossible;
	private Integer abandonTime;
	private GameTime abandonGameTime;


	public boolean isAbandonPossible( )
	{
		return abandonPossible;
	}


	public void setAbandonPossible( boolean abandonPossible )
	{
		this.abandonPossible = abandonPossible;
	}


	public boolean isRenamePossible( )
	{
		return renamePossible;
	}


	public void setRenamePossible( boolean renamePossible )
	{
		this.renamePossible = renamePossible;
	}


	public Integer getAbandonTime( )
	{
		return abandonTime;
	}


	public void setAbandonTime( Integer abandonTime )
	{
		this.abandonTime = abandonTime;
		if ( abandonTime == null ) {
			this.abandonGameTime = null;
		} else {
			this.abandonGameTime = new GameTime( abandonTime.longValue( ) );
		}
	}


	public GameTime getAbandonGameTime( )
	{
		return abandonGameTime;
	}

}
