package com.deepclone.lw.cmd.player.gdata.planets;


import java.io.Serializable;
import java.util.Collections;
import java.util.List;



public class QueueData
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private final boolean appendPossible;
	private final List< QueueItemData > items;


	public QueueData( boolean appendPossible , List< QueueItemData > items )
	{
		this.appendPossible = appendPossible;
		this.items = Collections.unmodifiableList( items );
	}


	public boolean isAppendPossible( )
	{
		return appendPossible;
	}


	public List< QueueItemData > getItems( )
	{
		return items;
	}

}
