package com.deepclone.lw.cmd.player.gdata.planets;


import java.io.Serializable;

import com.deepclone.lw.cmd.player.gdata.GameTime;



public class QueueItemData
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private String name;
	private String description;
	private int amount;
	private boolean destroy;
	private long invested;
	private Long timeLeft;
	private GameTime gameTimeLeft;


	public String getName( )
	{
		return name;
	}


	public void setName( String name )
	{
		this.name = name;
	}


	public String getDescription( )
	{
		return description;
	}


	public void setDescription( String description )
	{
		this.description = description;
	}


	public int getAmount( )
	{
		return amount;
	}


	public void setAmount( int amount )
	{
		this.amount = amount;
	}


	public boolean isDestroy( )
	{
		return destroy;
	}


	public void setDestroy( boolean destroy )
	{
		this.destroy = destroy;
	}


	public long getInvested( )
	{
		return invested;
	}


	public void setInvested( long invested )
	{
		this.invested = invested;
	}


	public Long getTimeLeft( )
	{
		return timeLeft;
	}


	public void setTimeLeft( Long timeLeft )
	{
		this.timeLeft = timeLeft;
		if ( timeLeft == null ) {
			this.gameTimeLeft = null;
		} else {
			this.gameTimeLeft = new GameTime( timeLeft );
		}
	}


	public GameTime getGameTimeLeft( )
	{
		return gameTimeLeft;
	}

}
