<#include "bugsTabs.ftl">
<#macro summary_entry label amount qString>

	<@lv_line>
		<@lv_column>
			<#if amount gt 0>
				<a href="bugs?${qString}">
			</#if>
			${label}
			<#if amount gt 0>
				</a>
			</#if>
		</@lv_column>
		<@lv_column centered=true>
			${amount?string(",##0")}
		</@lv_column>
	</@lv_line>

</#macro>
<#macro render>
<#local qString = "status=x&amp;own=0" >
<@page title="Bug tracker - Summary">
	<#-- Tabs -->
	<@bugTabs selected="bugsSummary" qString=qString />

	<#-- Summary -->
	<@listview>
		<@lv_line headers=true>
			<@lv_column width=300>&nbsp;</@lv_column>
			<@lv_column width=100>&nbsp;</@lv_column>
		</@lv_line>
		<@summary_entry label="Pending validation" amount=data.pending qString="status=PENDING&amp;own=0" />
		<@summary_entry label="Open bugs" amount=data.open qString="status=OPEN&amp;own=0" />
		<@summary_entry label="Bugs you reported" amount=data.own qString="status=x&amp;own=1" />
		<@summary_entry label="Total bugs" amount=data.total qString="status=x&amp;own=0" />
		<#if data.updated gt 0>
			<@lv_line>
				<@lv_column>&nbsp;</@lv_column>
				<@lv_column>&nbsp;</@lv_column>
			</@lv_line>
			<@lv_line>
				<@lv_column>
					Updated bug reports
				</@lv_column>
				<@lv_column centered=true>
					${data.updated?string(",##0")}
				</@lv_column>
			</@lv_line>
		</#if>
	</@listview>
</@page>
</#macro>
<@render />