package com.deepclone.lw.web.admin;


import java.util.LinkedList;
import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.msgdata.MessageListEntry;



public class MessageBoxView
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final boolean inbox;
	private int pages;
	private int cPage;
	private final List< MessageListEntry > messages = new LinkedList< MessageListEntry >( );


	public MessageBoxView( Administrator admin , boolean inbox )
	{
		super( admin );
		this.inbox = inbox;
	}


	public int getPages( )
	{
		return pages;
	}


	public void setPages( int pages )
	{
		this.pages = pages;
	}


	public int getcPage( )
	{
		return cPage;
	}


	public void setcPage( int cPage )
	{
		this.cPage = cPage;
	}


	public boolean isInbox( )
	{
		return inbox;
	}


	public List< MessageListEntry > getMessages( )
	{
		return messages;
	}


	public void addMessage( MessageListEntry entry )
	{
		this.messages.add( entry );
	}

}
