<#macro overviewResources>
<form action="update-mining-settings.action" method="POST"><@listview>
	<@lv_line headers=true>
		<@lv_column width=30>&nbsp;</@lv_column>
		<@lv_column width="x">Resource</@lv_column>
		<@lv_column width=100 centered=true><@over_time "Income" /></@lv_column>
		<@lv_column width=100 centered=true><@over_time "Upkeep" /></@lv_column>
		<@lv_column width=100 centered=true>Reserves</@lv_column>
		<@lv_column width=100 centered=true>Mining priority</@lv_column>
	</@lv_line>
		
	<#list ov.economy as resource>

		<#if previousCategory?has_content && !resource.category?has_content
				|| resource.category?has_content && !previousCategory?has_content
				|| resource.category?has_content && previousCategory?has_content
					&& resource.category != previousCategory>
			<@lv_line>
				<#if resource.category?has_content>
					<td colspan="5"><strong>${resource.category?xhtml}</strong></td>
				<#else>
					<td colspan="5"><hr /></td>
				</#if>
			</@lv_line>
			<#local previousCategory=resource.category>
		</#if>
		
		<@lv_line>
			<@lv_column>&nbsp;</@lv_column>
			<@lv_column>${resource.title?xhtml}
				<div class="auto-hide">${resource.description?xhtml}</div>
			</@lv_column>
			<@lv_column centered=true>${resource.income?string(",##0")}</@lv_column>
			<@lv_column centered=true>${resource.upkeep?string(",##0")}</@lv_column>
			<@lv_column centered=true>${resource.stockpiled?string(",##0")}</@lv_column>
			<@lv_column centered=true>
				<#if resource.miningPriority?has_content>
					<select name="ems-${resource.identifier?xhtml}" class="input">
						<option style="padding: 0 5px" value="0" <#if resource.miningPriority = 0>selected="selected"</#if>>lowest</option>
						<option style="padding: 0 5px" value="1" <#if resource.miningPriority = 1>selected="selected"</#if>>low</option>
						<option style="padding: 0 5px" value="2" <#if resource.miningPriority = 2>selected="selected"</#if>>normal</option>
						<option style="padding: 0 5px" value="3" <#if resource.miningPriority = 3>selected="selected"</#if>>high</option>
						<option style="padding: 0 5px" value="4" <#if resource.miningPriority = 4>selected="selected"</#if>>highest</option>
					</select>
				<#else>
					N/A
				</#if>
			</@lv_column>
		</@lv_line>

	</#list>
	
	<@lv_line headers=true>
		<@lv_column width="x" colspan=6>&nbsp;</@lv_column>
	</@lv_line>
	<@lv_line>
		<@lv_column colspan=4>&nbsp;</@lv_column>
		<@lv_column right=true colspan=2>
			<input type="submit" value="Update mining priorities" class="input" style="margin: 15px 0 0 0" />
		</@lv_column>
	</@lv_line>

</@listview></form>
</#macro>