<#macro render>
<#if data.success>
<@page title="Account re-activation">
	<p>
		Your account was successfully re-activated. The confirmation code was sent to <strong>${data.address}</strong>.
	</p>
	<p>
		One you've received this e-mail, please proceed to the <a href="validate-account">confirmation page</a>.
	</p>
</@page>
<#else>
<@page title="Account re-activation failed">
	<p>
		An error occurred while trying to send an e-mail to your address, <strong>${data.address}</strong>.
	</p>
	<p>
		If your address is still valid, you might want to wait a bit and then <a href="reactivate.action">try again</a>.
	</p>
	<p>
		Or the server might be on crack, in which case you should drop <a href="mailto:staff@legacyworlds.com">the staff</a> a line.
	</p>
</@page>
</#if>
</#macro>