<#macro render>
<@page title="Obtenir une nouvelle planète">
	<p>Des hordes de barbares à la bouche écumante ont envahi votre empire, massacrant vos femmes et violant votre bétail ?</p>
	<p>Eh bien, n'ayez plus peur ! Vous pourrez recevoir une nouvelle planète flambant neuve.</p>
	<p>Please note that doing this will disband your fleets.</p>
	<@form action="get-planet" name="get-planet">
		<#switch data.error!>
			<#case "EMPTY"><@form_error>Veuillez sélectionner un nom de planète.</@form_error><#break>
			<#case "INVALID"><@form_error>Nom de planète invalide.</@form_error><#break>
			<#case "UNAVAILABLE"><@form_error>Ce nom de planète n'est pas disponible.</@form_error><#break>
			<#case "BANNED"><@form_error>Ce nom de planète a été banni.</@form_error><#break>
		</#switch>
		<@form_text name="name" label="Nom de la nouvelle planète " value=data.name! />
		<@form_submit label="Obtenir la planète" />
	</@form>
</@page>
</#macro>