<#macro render>
<#if data.success>
<@page title="réactivation de compte">
	<p>
		Votre compte a été réactivé avec succès. Le conde de confirmation a été envoyé à <strong>${data.address}</strong>.
	</p>
	<p>
		Une fois que vous avez reçu cet e-mail, veuillez aller sur la <a href="validate-account">page de confirmation</a>.
	</p>
</@page>
<#else>
<@page title="Erreur de réactivation de compte">
	<p>
		Une erreur a eu lieu lors de l'envoi d'un e-mail à votre adresse, <strong>${data.address}</strong>.
	</p>
	<p>
		Si votre adresse est toujours valide, vous pouvez envisager d'attendre un peu et d'<a href="reactivate.action">essayer à nouveau</a>.
	</p>
	<p>
		Ou le serveur est peut-être sous acide, auquel cas vous devriez informer <a href="mailto:staff@legacyworlds.com">l'équipe d'administration</a>.
	</p>
</@page>
</#if>
</#macro>