<#macro render>
<@page title="Diviser la flotte">
	<form action="split-fleet.action" method="post">
		<div>
			<input type="hidden" name="fleet" value="${data.initialFleet.id}" />
			<#if data.shipsError>
				<@standalone_error>Nombre de vaisseaux ou de flottes résultantes invalides</@standalone_error>
			</#if>
			<@listview>
				<@lv_line headers=true>
					<@lv_column width="x">Type de vaisseaux</@lv_column>
					<@lv_column width=150>Nombre initial</@lv_column>
					<@lv_column width=150>Nombre dans la nouvelle flotte</@lv_column>
				</@lv_line>
				<#list data.ships as ships>
					<@lv_line headers>
						<@lv_column>${ships.name}</@lv_column>
						<@lv_column>${ships.amount?string(",##0")}</@lv_column>
						<@lv_column>
							<@ff_text name="ships_${ships.id}" id="ships-${ships.id}" value=ships.selectedAmount />
						</@lv_column>
					</@lv_line>
				</#list>
			</@listview>
			<#if data.nameError>
				<@standalone_error>Nom de flotte invalide.</@standalone_error>
			</#if>
			<p>
				Créer
				<@ff_text name="nFleets" id="n-fleets" value=data.nFleets size=3 maxLength=2 />
				nouvelle(s) flotte(s) nommée(s)
				<@ff_text name="name" id="name" value=data.name size=20 maxLength=40 />
				&nbsp;
				<@ff_submit label="Ok" />
				<@ff_submit label="Annuler" name="cancel" />
			</p>
		</div>
	</form>
</@page>
</#macro>