package com.deepclone.lw.beans.prefs;


class IntPreferenceType
		extends PreferenceTypeImpl< Integer >
{

	public IntPreferenceType( )
	{
		super( Integer.class );
	}


	@Override
	public String convert( Object value )
	{
		return ( value == null ) ? "0" : ( (Integer) value ).toString( );
	}


	@Override
	public Integer valueOf( String dbValue , Class< Integer > type )
	{
		try {
			return Integer.parseInt( dbValue );
		} catch ( NumberFormatException e ) {
			return null;
		}
	}

}
