package com.deepclone.lw.beans.bt.es.data;


import java.io.Serializable;

import com.thoughtworks.xstream.annotations.XStreamAlias;



@XStreamAlias( "movement" )
public class MovementInformation
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private int sourceId;

	private String sourceName;

	private int timeLeft;

	private int stateTimeLeft;

	private Float startX;

	private Float startY;

	private Integer nearId;

	private String nearName;

	private Boolean outwards;

	private Boolean pastRefPoint;


	public int getSourceId( )
	{
		return sourceId;
	}


	public void setSourceId( int sourceId )
	{
		this.sourceId = sourceId;
	}


	public String getSourceName( )
	{
		return sourceName;
	}


	public void setSourceName( String sourceName )
	{
		this.sourceName = sourceName;
	}


	public int getTimeLeft( )
	{
		return timeLeft;
	}


	public void setTimeLeft( int timeLeft )
	{
		this.timeLeft = timeLeft;
	}


	public int getStateTimeLeft( )
	{
		return stateTimeLeft;
	}


	public void setStateTimeLeft( int stateTimeLeft )
	{
		this.stateTimeLeft = stateTimeLeft;
	}


	public Float getStartX( )
	{
		return startX;
	}


	public void setStartX( Float startX )
	{
		this.startX = startX;
	}


	public Float getStartY( )
	{
		return startY;
	}


	public void setStartY( Float startY )
	{
		this.startY = startY;
	}


	public Integer getNearId( )
	{
		return nearId;
	}


	public void setNearId( Integer nearId )
	{
		this.nearId = nearId;
	}


	public String getNearName( )
	{
		return nearName;
	}


	public void setNearName( String nearName )
	{
		this.nearName = nearName;
	}


	public Boolean getOutwards( )
	{
		return outwards;
	}


	public void setOutwards( Boolean outwards )
	{
		this.outwards = outwards;
	}


	public Boolean getPastRefPoint( )
	{
		return pastRefPoint;
	}


	public void setPastRefPoint( Boolean pastRefPoint )
	{
		this.pastRefPoint = pastRefPoint;
	}

}
