package com.deepclone.lw.beans.bt.es.data;


import java.io.Serializable;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;



@XStreamAlias( "system-info" )
public class SystemInformation
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	@XStreamAsAttribute
	@XStreamAlias( "computing-tick" )
	private Long currentTick;

	@XStreamAsAttribute
	@XStreamAlias( "next-tick" )
	private long nextTick;


	public Long getCurrentTick( )
	{
		return currentTick;
	}


	public void setCurrentTick( Long currentTick )
	{
		this.currentTick = currentTick;
	}


	public long getNextTick( )
	{
		return nextTick;
	}


	public void setNextTick( long nextTick )
	{
		this.nextTick = nextTick;
	}

}
