package com.deepclone.lw.beans.bt.es.data;


/**
 * State of a (B6M2+) technology
 * 
 * @author <a href="mailto:tseeker@legacyworlds.com">E. Benoît</a>
 */
public enum TechnologyState {

	/** The technology is being researched */
	RESEARCH ,

	/** The technology needs to be implemented */
	PENDING ,

	/** The technology has been researched and implemented */
	KNOWN

}
