package com.deepclone.lw.beans.empire;


import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.jdbc.core.RowMapper;

import com.deepclone.lw.sqld.game.GeneralInformation;



class GeneralInformationRowMapper
		implements RowMapper< GeneralInformation >
{

	@Override
	public GeneralInformation mapRow( ResultSet rs , int rowNum )
			throws SQLException
	{
		GeneralInformation info = new GeneralInformation( );
		
		info.setName( rs.getString( "name" ) );
		info.setTag( rs.getString( "alliance" ) );
		info.setCash( rs.getLong( "cash" ) );
		info.setLanguage( rs.getString( "language" ) );
		info.setNextTick( rs.getLong( "game_time" ) );
		info.setAccountId( rs.getInt( "account_id" ) );

		String statusString = rs.getString( "status" );
		info.setStatus( rs.wasNull( ) ? null : statusString.charAt( 0 ) );

		return info;
	}

}
