package com.deepclone.lw.beans.user.admin;


import java.util.Date;

import com.deepclone.lw.beans.user.abst.AutowiredSubTypeDelegate;
import com.deepclone.lw.beans.user.abst.SessionCommandHandler;
import com.deepclone.lw.beans.user.abst.StatefulSessionTypeDefiner;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.session.Command;
import com.deepclone.lw.session.CommandResponse;
import com.deepclone.lw.session.SessionCommandException;



public abstract class AdminSessionSubType
		extends SessionCommandHandler
		implements AutowiredSubTypeDelegate
{

	@Override
	public Class< ? extends StatefulSessionTypeDefiner > getSessionType( )
	{
		return AdminSessionDefinerBean.class;
	}


	@Override
	public CommandResponse execute( ServerSession session , Command command )
			throws SessionCommandException
	{
		session.setExpirationDate( new Date( new Date( ).getTime( ) + 1800000L ) );
		return this.executeDelegate( session , command );
	}

}
