package com.deepclone.lw.beans.user.admin.common;


import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.interfaces.session.ServerSession;
import com.deepclone.lw.sqld.admin.AdminRecord;



public abstract class AdminOperation
{

	protected Administrator getAdministrator( ServerSession session )
	{
		return this.convertAdministrator( session.get( "admin" , AdminRecord.class ) );
	}


	protected Administrator convertAdministrator( AdminRecord record )
	{
		Administrator admin = new Administrator( );
		admin.setId( record.getId( ) );
		admin.setAddress( record.getAddress( ) );
		admin.setName( record.getName( ) );
		admin.setPrivileges( record.getPrivileges( ) );
		admin.setPasswordChange( record.getPassChangeRequired( ) );
		return admin;
	}
}
