/*
 * Check that core update targets have been defined correctly
 */
BEGIN;
	SELECT plan( 3 );

	SELECT diag_test_name( 'Update targets - Definitions present' );
	SELECT is( COUNT(*)::INT , 2 ) FROM sys.update_targets;

	SELECT diag_test_name( 'Update targets - verse.planets_updates exists' );
	SELECT has_table( 'verse' , 'planets_updates' , 'Missing planets update table' );

	SELECT diag_test_name( 'Update targets - emp.empires_updates exists' );
	SELECT has_table( 'emp' , 'empires_updates' , 'Missing empires update table' );

	SELECT * FROM finish( );
ROLLBACK;