/*
 * Test privileges on defs.resources
 */
BEGIN;
	SELECT plan( 4 );
	
	SELECT diag_test_name( 'defs.resources - INSERT privileges' );
	SELECT throws_ok(
		$$ INSERT INTO defs.resources(
			resource_name_id , resource_description_id , resource_weight
		) VALUES (
			1 , 2 , 1
		); $$ ,
		42501 );

	SELECT diag_test_name( 'defs.resources - UPDATE privileges' );
	SELECT throws_ok(
		$$ UPDATE defs.resources SET resource_weight = 10; $$ ,
		42501 );

	SELECT diag_test_name( 'defs.resources - SELECT privileges' );
	SELECT throws_ok(
		$$ SELECT * FROM defs.resources; $$ ,
		42501 );

	SELECT diag_test_name( 'defs.resources - DELETE privileges' );
	SELECT throws_ok(
		$$ DELETE FROM defs.resources; $$ ,
		42501 );

	SELECT * FROM finish( );
ROLLBACK;