package com.deepclone.lw.sqld.sys;


public class Constant
{
	/** The constant's category */
	private String category;

	/** The constant's internal name */
	private String name;

	/** A description of the constant to be used on the administrative interface */
	private String description;

	/** The minimal value of the constant (may be omitted) */
	private Double minValue;

	/** The maximal value of the constant (may be omitted) */
	private Double maxValue;

	/** The constant's current value */
	private double value;


	public String getCategory( )
	{
		return category;
	}


	public void setCategory( String category )
	{
		this.category = category;
	}


	public String getName( )
	{
		return name;
	}


	public void setName( String name )
	{
		this.name = name;
	}


	public String getDescription( )
	{
		return description;
	}


	public void setDescription( String description )
	{
		this.description = description;
	}


	public Double getMinValue( )
	{
		return minValue;
	}


	public void setMinValue( Double minValue )
	{

		this.minValue = minValue;
	}


	public void setMinValue( Float minValue )
	{

		this.minValue = ( minValue == null ? null : minValue.doubleValue( ) );
	}


	public Double getMaxValue( )
	{
		return maxValue;
	}


	public void setMaxValue( Double maxValue )
	{
		this.maxValue = maxValue;
	}


	public void setMaxValue( Float maxValue )
	{

		this.maxValue = ( maxValue == null ? null : maxValue.doubleValue( ) );
	}


	public double getValue( )
	{
		return value;
	}


	public void setValue( double value )
	{
		this.value = value;
	}

}
