package com.deepclone.lw.interfaces.admin;


import java.util.List;

import com.deepclone.lw.cmd.admin.bans.BanRequest;
import com.deepclone.lw.cmd.admin.bans.SummaryEntry;
import com.deepclone.lw.cmd.admin.bans.ValidatedBanRequest;
import com.deepclone.lw.utils.EmailAddress;



public interface BansDAO
{

	public List< SummaryEntry > getSummary( );


	public List< BanRequest > getPending( );


	public List< BanRequest > getArchived( );


	public List< BanRequest > getActive( );


	public int requestBan( int administrator , EmailAddress address , String reason );


	public int requestBan( int administrator , String empire , String reason );


	public void rejectBan( int administrator , int requestId , String reason );


	public BanMailData validateBan( int administrator , int requestId );


	public BanMailData liftBan( int administrator , int requestId );


	public void expireBanRequests( );


	public void expireWarnings( );


	public boolean finaliseBan( );


	public ValidatedBanRequest getActiveBan( EmailAddress address );

}
