package com.deepclone.lw.interfaces.game;


import com.deepclone.lw.cmd.player.alliances.AllianceStatusResponse;



public interface AllianceManagement
{

	public AllianceStatusResponse getView( int empireId );


	public AllianceStatusResponse getInformation( int empireId , String tag );


	public AllianceStatusResponse create( int empireId , String tag , String name );


	public AllianceStatusResponse requestJoin( int empireId , String tag );


	public AllianceStatusResponse cancelJoin( int empireId );


	public AllianceStatusResponse leave( int empireId );


	public AllianceStatusResponse transferLeadership( int empireId , int toMember );


	public AllianceStatusResponse manageRequests( int empireId , boolean accept , int[] members );


	public AllianceStatusResponse kick( int empireId , int[] members );
}
