package com.deepclone.lw.interfaces.game;


import com.deepclone.lw.cmd.player.GetNewPlanetResponse;
import com.deepclone.lw.cmd.player.ListPlanetsResponse;
import com.deepclone.lw.cmd.player.EmpireResponse;
import com.deepclone.lw.cmd.player.elist.EnemyListResponse;
import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.utils.EmailAddress;



public interface EmpireManagement
{

	public Integer getEmpireId( EmailAddress address );


	public GamePageData getGeneralInformation( int empireId );


	public EmpireResponse getOverview( int empireId );


	public ListPlanetsResponse getPlanetList( int empireId );


	public EnemyListResponse getEnemyLists( int empireId );


	public EnemyListResponse addEnemy( int empireId , boolean alliance , String name );


	public EnemyListResponse removeEnemies( int empireId , boolean alliance , int[] ids );


	public GetNewPlanetResponse getNewPlanet( int empireId , String name );
}
