package com.deepclone.lw.interfaces.naming;


import java.util.List;
import java.util.Map;

import com.deepclone.lw.cmd.admin.naming.Name;
import com.deepclone.lw.cmd.admin.naming.NameType;
import com.deepclone.lw.sqld.accounts.Account;



public interface NamingDAO
{

	public List< String > getEmpireNames( int id );


	public Integer getCurrentEmpire( Account account );


	public int renamePlanet( int id , String name );


	public Map< NameType , Long > countNames( );


	public List< Name > getNames( NameType type );


	void validateMapName( int administrator , int name );


	public void allowMapNameChange( int administrator , int name );


	public void rejectMapName( int administrator , int name , boolean ban );


	public void rejectEmpireName( int administrator , int empire , boolean ban );


	public void rejectAllianceName( int administrator , int alliance );

}
