package com.deepclone.lw.cmd.admin.bans;


import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class BansSummaryResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final List< SummaryEntry > entries;


	public BansSummaryResponse( Administrator admin )
	{
		super( admin , false );
		this.entries = null;
	}


	public BansSummaryResponse( Administrator admin , List< SummaryEntry > entries )
	{
		super( admin );
		this.entries = entries;
	}


	public List< SummaryEntry > getEntries( )
	{
		return entries;
	}

}
