package com.deepclone.lw.cmd.admin.i18n;


import java.util.List;

import com.deepclone.lw.cmd.admin.adata.Administrator;



public class ChangeLanguageResponse
		extends GetLanguageResponse
{

	private static final long serialVersionUID = 1L;

	private final boolean nameError;


	public ChangeLanguageResponse( Administrator admin , Language language , List< I18NString > strings )
	{
		super( admin , language , strings );
		this.nameError = true;
	}


	public ChangeLanguageResponse( Administrator admin , Language language )
	{
		super( admin , language , null );
		this.nameError = false;
	}


	public ChangeLanguageResponse( Administrator admin )
	{
		super( admin );
		this.nameError = false;
	}


	public boolean isNameError( )
	{
		return nameError;
	}

}
