package com.deepclone.lw.cmd.admin.logs;


import java.io.Serializable;
import java.util.List;



public class ExceptionEntry
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private final String className;
	private final String message;
	private List< TraceEntry > trace;


	public ExceptionEntry( String className , String message )
	{
		this.className = className;
		this.message = message;
	}


	public String getClassName( )
	{
		return className;
	}


	public String getMessage( )
	{
		return message;
	}


	public List< TraceEntry > getTrace( )
	{
		return trace;
	}


	public void setTrace( List< TraceEntry > trace )
	{
		this.trace = trace;
	}

}
