package com.deepclone.lw.cmd.admin.logs;


import com.deepclone.lw.session.Command;



public class ViewLogCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final LogType type;
	private final long firstEntry;
	private final int count;
	private final LogLevel minLogLevel;
	private final String component;
	private final boolean exceptionOnly;


	public ViewLogCommand( LogType type , long firstEntry , int count , LogLevel minLogLevel , String component ,
			boolean exceptionOnly )
	{
		this.type = type;
		this.firstEntry = firstEntry;
		this.count = count;
		this.minLogLevel = minLogLevel;
		this.component = component;
		this.exceptionOnly = exceptionOnly;
	}


	public LogType getType( )
	{
		return type;
	}


	public long getFirstEntry( )
	{
		return firstEntry;
	}


	public int getCount( )
	{
		return count;
	}


	public LogLevel getMinLogLevel( )
	{
		return minLogLevel;
	}


	public String getComponent( )
	{
		return component;
	}


	public boolean isExceptionOnly( )
	{
		return exceptionOnly;
	}

}
