package com.deepclone.lw.cmd.admin.msg;


import java.util.List;

import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;
import com.deepclone.lw.cmd.msgdata.MessageListEntry;



public class GetMessagesResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final List< MessageListEntry > messages;


	public GetMessagesResponse( Administrator admin , List< MessageListEntry > messages )
	{
		super( admin );
		this.messages = messages;
	}


	public List< MessageListEntry > getMessages( )
	{
		return messages;
	}

}
