package com.deepclone.lw.cmd.admin.naming;


import java.io.Serializable;



public class Name
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private final int id;
	private final String name;
	private final String extra;
	private final NameType type;


	public Name( int id , String name , String extra , NameType type )
	{
		this.id = id;
		this.name = name;
		this.extra = extra;
		this.type = type;
	}


	public int getId( )
	{
		return id;
	}


	public String getName( )
	{
		return name;
	}


	public String getExtra( )
	{
		return extra;
	}


	public NameType getType( )
	{
		return type;
	}

}
