package com.deepclone.lw.cmd.admin.naming;


public enum NameType {
	MAP_PENDING( "Map names - validation pending" ) ,
	MAP_VALIDATED( "Map names - validated" ) ,
	MAP_CHANGED( "Map names - modified" ) ,
	EMPIRE( "Empire names" ) ,
	ALLIANCE( "Alliance names" );

	private String description;


	private NameType( String description )
	{
		this.description = description;
	}


	public String getDescription( )
	{
		return this.description;
	}


	public String getId( )
	{
		return this.toString( ).replace( "_" , "-" ).toLowerCase( );
	}
}
