package com.deepclone.lw.cmd.admin.users;


import com.deepclone.lw.cmd.admin.AdminResponse;
import com.deepclone.lw.cmd.admin.adata.Administrator;



public class ListSessionsResponse
		extends AdminResponse
{

	private static final long serialVersionUID = 1L;

	private final AccountSessionEntry account;


	public ListSessionsResponse( Administrator admin )
	{
		super( admin , false );
		this.account = null;
	}


	public ListSessionsResponse( Administrator admin , AccountSessionEntry account )
	{
		super( admin );
		this.account = account;
	}


	public AccountSessionEntry getAccount( )
	{
		return account;
	}

}
