package com.deepclone.lw.cmd.bt;


import com.deepclone.lw.session.Command;



public class ReportBugCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final String title;
	private final String description;
	private final boolean publicReport;


	public ReportBugCommand( String title , String description )
	{
		this.title = title;
		this.description = description;
		this.publicReport = false;
	}


	public ReportBugCommand( String title , String description , boolean publicReport )
	{
		this.title = title;
		this.description = description;
		this.publicReport = publicReport;
	}


	public String getTitle( )
	{
		return title;
	}


	public String getDescription( )
	{
		return description;
	}


	public boolean isPublicReport( )
	{
		return publicReport;
	}

}
