package com.deepclone.lw.cmd.bt.data;


import java.io.Serializable;
import java.sql.Timestamp;



public class BugEvent
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private long id;
	private BugEventType type;
	private Timestamp timestamp;
	private BugSubmitter submitter;

	private String title;
	private String contents;
	private Long mergedId;
	private BugStatus status;
	private Boolean visible;


	public long getId( )
	{
		return id;
	}


	public void setId( long id )
	{
		this.id = id;
	}


	public BugEventType getType( )
	{
		return type;
	}


	public void setType( BugEventType type )
	{
		this.type = type;
	}


	public Timestamp getTimestamp( )
	{
		return timestamp;
	}


	public void setTimestamp( Timestamp timestamp )
	{
		this.timestamp = timestamp;
	}


	public BugSubmitter getSubmitter( )
	{
		return submitter;
	}


	public void setSubmitter( BugSubmitter submitter )
	{
		this.submitter = submitter;
	}


	public String getTitle( )
	{
		return title;
	}


	public void setTitle( String title )
	{
		this.title = title;
	}


	public String getContents( )
	{
		return contents;
	}


	public void setContents( String contents )
	{
		this.contents = contents;
	}


	public Long getMergedId( )
	{
		return mergedId;
	}


	public void setMergedId( Long mergedId )
	{
		this.mergedId = mergedId;
	}


	public BugStatus getStatus( )
	{
		return status;
	}


	public void setStatus( BugStatus status )
	{
		this.status = status;
	}


	public Boolean getVisible( )
	{
		return visible;
	}


	public void setVisible( Boolean visible )
	{
		this.visible = visible;
	}

}
