package com.deepclone.lw.cmd.ext;


import com.deepclone.lw.session.Command;



public final class CreateAccountCommand
		extends Command
{

	private static final long serialVersionUID = 1L;
	private final String mail;
	private final String mailConfirm;
	private final String password;
	private final String passwordConfirm;
	private final String language;


	public CreateAccountCommand( String mail , String mailConfirm , String password , String passwordConfirm ,
			String language )
	{
		this.mail = mail;
		this.mailConfirm = mailConfirm;
		this.password = password;
		this.passwordConfirm = passwordConfirm;
		this.language = language;
	}


	public String getMail( )
	{
		return this.mail;
	}


	public String getMailConfirm( )
	{
		return this.mailConfirm;
	}


	public String getPassword( )
	{
		return this.password;
	}


	public String getPasswordConfirm( )
	{
		return this.passwordConfirm;
	}


	public String getLanguage( )
	{
		return this.language;
	}

}
