package com.deepclone.lw.cmd.player;


import com.deepclone.lw.cmd.ObjectNameError;
import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;



public class GetNewPlanetResponse
		extends GameResponseBase
{

	private static final long serialVersionUID = 1L;

	private final String name;
	private final ObjectNameError error;
	private final Integer planet;


	public GetNewPlanetResponse( GamePageData page , String name , ObjectNameError error )
	{
		super( page );
		this.name = name;
		this.error = error;
		this.planet = null;
	}


	public GetNewPlanetResponse( GamePageData page , int planet )
	{
		super( page );
		this.name = null;
		this.error = null;
		this.planet = planet;
	}


	public String getName( )
	{
		return name;
	}


	public ObjectNameError getError( )
	{
		return error;
	}


	public Integer getPlanet( )
	{
		return planet;
	}

}
