package com.deepclone.lw.cmd.player;


import java.util.Collections;
import java.util.List;

import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;
import com.deepclone.lw.cmd.player.gdata.PlanetListData;



public class ListPlanetsResponse
		extends GameResponseBase
{

	private static final long serialVersionUID = 1L;

	private final List< PlanetListData > planets;


	public ListPlanetsResponse( GamePageData page , List< PlanetListData > planets )
	{
		super( page );
		this.planets = Collections.unmodifiableList( planets );
	}


	public List< PlanetListData > getPlanets( )
	{
		return planets;
	}

}
