package com.deepclone.lw.cmd.player.account;


import com.deepclone.lw.session.Command;



public class AccountValidationCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final boolean initialisation;

	private final String token;

	private final String empire;

	private final String planet;


	public AccountValidationCommand( )
	{
		this.initialisation = true;
		this.token = null;
		this.empire = null;
		this.planet = null;
	}


	public AccountValidationCommand( String token , String empire , String planet )
	{
		this.initialisation = false;
		this.token = token;
		this.empire = empire;
		this.planet = planet;
	}


	public boolean isInitialisation( )
	{
		return this.initialisation;
	}


	public String getToken( )
	{
		return this.token;
	}


	public String getEmpire( )
	{
		return this.empire;
	}


	public String getPlanet( )
	{
		return this.planet;
	}

}
