package com.deepclone.lw.cmd.player.account;


import java.sql.Timestamp;

import com.deepclone.lw.session.CommandResponse;



public class BanDetailsResponse
		extends CommandResponse
{

	private static final long serialVersionUID = 1L;

	private final Timestamp banTime;
	private final String banReason;
	private final boolean redeemable;


	public BanDetailsResponse( Timestamp banTime , String banReason , boolean redeemable )
	{
		this.banTime = banTime;
		this.banReason = banReason;
		this.redeemable = redeemable;
	}


	public Timestamp getBanTime( )
	{
		return banTime;
	}


	public String getBanReason( )
	{
		return banReason;
	}


	public boolean isRedeemable( )
	{
		return redeemable;
	}

}
