package com.deepclone.lw.cmd.player.account;


import com.deepclone.lw.session.Command;



public class SetAddressCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final String sha1Auth;
	private final String md5Auth;
	private final String mail;
	private final String mailConfirm;


	public SetAddressCommand( String sha1Auth , String md5Auth , String mail , String mailConfirm )
	{
		this.sha1Auth = sha1Auth;
		this.md5Auth = md5Auth;
		this.mail = mail;
		this.mailConfirm = mailConfirm;
	}


	public String getSha1Auth( )
	{
		return sha1Auth;
	}


	public String getMd5Auth( )
	{
		return md5Auth;
	}


	public String getMail( )
	{
		return mail;
	}


	public String getMailConfirm( )
	{
		return mailConfirm;
	}

}
