package com.deepclone.lw.cmd.player.account;


import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.account.AccountData;



public class ValidateSetAddressResponse
		extends GetAccountResponse
{

	private static final long serialVersionUID = 1L;

	private final boolean codeError;
	private final String code;


	public ValidateSetAddressResponse( )
	{
		super( null , null );
		this.code = null;
		this.codeError = false;
	}


	public ValidateSetAddressResponse( GamePageData page , AccountData account , String code )
	{
		super( page , account );
		this.code = code;
		this.codeError = true;
	}


	public boolean isCodeError( )
	{
		return codeError;
	}


	public String getCode( )
	{
		return code;
	}

}
