package com.deepclone.lw.cmd.player.battles;


import java.util.List;

import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;
import com.deepclone.lw.cmd.player.gdata.battles.BattleListEntry;



public class ListBattlesResponse
		extends GameResponseBase
{

	private static final long serialVersionUID = 1L;
	private final List< BattleListEntry > list;
	private final int currentPage;
	private final int pages;


	public ListBattlesResponse( GamePageData page , List< BattleListEntry > list , int cPage , int pages )
	{
		super( page );
		this.list = list;
		this.currentPage = cPage;
		this.pages = pages;
	}


	public List< BattleListEntry > getList( )
	{
		return list;
	}


	public int getCurrentPage( )
	{
		return currentPage;
	}


	public int getPages( )
	{
		return pages;
	}

}
