package com.deepclone.lw.cmd.player.bt;


import java.util.List;

import com.deepclone.lw.cmd.bt.data.BugReport;
import com.deepclone.lw.cmd.bt.data.BugStatus;
import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.GameResponseBase;



public class ListBugsResponse
		extends GameResponseBase
{

	private static final long serialVersionUID = 1L;

	private final BugStatus status;
	private final boolean ownOnly;
	private final long first;
	private final int count;
	private final long entries;
	private final List< BugReport > reports;


	public ListBugsResponse( GamePageData page , BugStatus status , boolean ownOnly , long first , int count ,
			long entries , List< BugReport > reports )
	{
		super( page );
		this.status = status;
		this.ownOnly = ownOnly;
		this.first = first;
		this.count = count;
		this.entries = entries;
		this.reports = reports;
	}


	public BugStatus getStatus( )
	{
		return status;
	}


	public boolean isOwnOnly( )
	{
		return ownOnly;
	}


	public long getFirst( )
	{
		return first;
	}


	public int getCount( )
	{
		return count;
	}


	public long getEntries( )
	{
		return entries;
	}


	public List< BugReport > getReports( )
	{
		return reports;
	}

}
