package com.deepclone.lw.cmd.player.fleets;


import java.util.Map;

import com.deepclone.lw.session.Command;



public class SplitFleetCommand
		extends Command
{

	private static final long serialVersionUID = 1L;

	private final long fleet;
	private final Map< Integer , Integer > ships;
	private final Integer nFleets;
	private final String name;


	public SplitFleetCommand( long fleet )
	{
		this.fleet = fleet;
		this.ships = null;
		this.nFleets = null;
		this.name = null;
	}


	public SplitFleetCommand( long fleet , Map< Integer , Integer > ships , Integer nFleets , String name )
	{
		this.fleet = fleet;
		this.ships = ships;
		this.nFleets = nFleets;
		this.name = name;
	}


	public long getFleet( )
	{
		return fleet;
	}


	public Map< Integer , Integer > getShips( )
	{
		return ships;
	}


	public Integer getnFleets( )
	{
		return nFleets;
	}


	public String getName( )
	{
		return name;
	}

}
