package com.deepclone.lw.cmd.player.gdata.account;


import java.io.Serializable;
import java.sql.Timestamp;



public class MailChangeData
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private final Timestamp until;

	private final boolean used;

	private final String newAddress;


	public MailChangeData( Timestamp until )
	{
		this.until = until;
		this.used = true;
		this.newAddress = null;
	}


	public MailChangeData( Timestamp until , String newAddress )
	{
		this.until = until;
		this.used = false;
		this.newAddress = newAddress;
	}


	public Timestamp getUntil( )
	{
		return until;
	}


	public boolean isUsed( )
	{
		return used;
	}


	public String getNewAddress( )
	{
		return newAddress;
	}

}
