package com.deepclone.lw.cmd.player.gdata.alliance;


import java.io.Serializable;
import java.util.List;

import com.deepclone.lw.cmd.player.gdata.NameIdPair;



public class AllianceMemberData
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private final List< NameIdPair > members;
	private final List< AlliancePlanetData > planets;


	public AllianceMemberData( List< NameIdPair > members , List< AlliancePlanetData > planets )
	{
		this.members = members;
		this.planets = planets;
	}


	public List< NameIdPair > getMembers( )
	{
		return members;
	}


	public List< AlliancePlanetData > getPlanets( )
	{
		return planets;
	}

}
