package com.deepclone.lw.cmd.player.gdata.battles;


import java.io.Serializable;
import java.util.LinkedList;
import java.util.List;



public abstract class BattleShipsList
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	protected List< BattleShipType > ships = new LinkedList< BattleShipType >( );
	protected long cPower = 0;
	protected long lPower = 0;


	public void addShip( BattleShipType shipType )
	{
		this.ships.add( shipType );
		this.cPower += shipType.getcPower( );
		this.lPower += shipType.getlPower( );
	}


	public List< BattleShipType > getShips( )
	{
		return ships;
	}


	public long getcPower( )
	{
		return cPower;
	}


	public long getlPower( )
	{
		return lPower;
	}

}
