package com.deepclone.lw.cmd.player.gdata.battles;


import java.io.Serializable;
import java.util.LinkedList;
import java.util.List;



public class BattleView
		implements Serializable
{

	private static final long serialVersionUID = 1L;

	private BattleDescription description;
	private BattleDisplay display;
	private BattleShipsView ships;
	private final List< BattleHistoryInterval > history = new LinkedList< BattleHistoryInterval >( );


	public BattleDescription getDescription( )
	{
		return description;
	}


	public void setDescription( BattleDescription description )
	{
		this.description = description;
	}


	public BattleDisplay getDisplay( )
	{
		return display;
	}


	public void setDisplay( BattleDisplay display )
	{
		this.display = display;
	}


	public BattleShipsView getShips( )
	{
		return ships;
	}


	public void setShips( BattleShipsView ships )
	{
		this.ships = ships;
	}


	public void addHistoryInterval( BattleHistoryInterval entry )
	{
		this.history.add( entry );
	}


	public List< BattleHistoryInterval > getHistory( )
	{
		return history;
	}

}
