package com.deepclone.lw.cmd.player.gdata.fleets;


import java.util.LinkedList;
import java.util.List;

import com.deepclone.lw.cmd.player.gdata.NameIdPair;
import com.deepclone.lw.cmd.player.gdata.PlanetRelationType;



;

public class FleetOwner
		extends NameIdPair
{

	private static final long serialVersionUID = 1L;

	private final PlanetRelationType relation;
	private final List< StaticFleet > fleets = new LinkedList< StaticFleet >( );


	public FleetOwner( long id , String name , PlanetRelationType relation )
	{
		super( id , name );
		this.relation = relation;
	}


	public PlanetRelationType getRelation( )
	{
		return relation;
	}


	public void addFleet( StaticFleet fleet )
	{
		this.fleets.add( fleet );
	}


	public List< StaticFleet > getFleets( )
	{
		return fleets;
	}

}
