package com.deepclone.lw.cmd.player.planets;


import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.planets.PlanetBasicView;
import com.deepclone.lw.cmd.player.gdata.planets.PlanetOrbitalView;
import com.deepclone.lw.cmd.player.gdata.planets.PlanetOwnView;



public class BuildingActionResponse
		extends ViewPlanetResponse
{

	private static final long serialVersionUID = 1L;

	private final boolean destructionFailed;


	public BuildingActionResponse( int id , GamePageData page , PlanetBasicView basic , PlanetOrbitalView orbital ,
			PlanetOwnView own )
	{
		super( id , page , basic , orbital , own );
		this.destructionFailed = true;
	}


	public boolean isDestructionFailed( )
	{
		return destructionFailed;
	}

}
