package com.deepclone.lw.cmd.player.planets;


import com.deepclone.lw.cmd.player.gdata.GamePageData;
import com.deepclone.lw.cmd.player.gdata.planets.PlanetBasicView;
import com.deepclone.lw.cmd.player.gdata.planets.PlanetOrbitalView;
import com.deepclone.lw.cmd.player.gdata.planets.PlanetOwnView;



public class RenamePlanetResponse
		extends ViewPlanetResponse
{

	private static final long serialVersionUID = 1L;

	private final String renamingTo;
	private final String renameError;


	public RenamePlanetResponse( int id , GamePageData page , PlanetBasicView basic , PlanetOrbitalView orbital ,
			PlanetOwnView own , String failName , String error )
	{
		super( id , page , basic , orbital , own );
		this.renamingTo = failName;
		this.renameError = error;
	}


	public String getRenamingTo( )
	{
		return renamingTo;
	}


	public String getRenameError( )
	{
		return renameError;
	}
}
