package com.deepclone.lw.session;


/**
 * Thrown when a runtime error occurs while handling a session-related request.
 * 
 * @author tseeker
 */
public final class SessionInternalException
		extends SessionException
{

	private static final long serialVersionUID = 1L;


	public SessionInternalException( boolean keep , Throwable cause )
	{
		super( keep , cause.getClass( ).getName( ) + " (" + cause.getMessage( ) + ")" );
	}

}
