<@page title="Overview">
	<h1>Your administrative account</h1>
	<p>
		<strong>E-mail address:</strong> ${data.admin.address?xhtml}
	</p>
	<p>
		<strong>Privileges:</strong>
		<#list data.admin.privileges as priv>
			<abbr title="${priv.description?xhtml}">${priv}</abbr>
		</#list>
	</p>
	<p>
		<a href="change-password">Change password</a>
	</p>
	<p>&nbsp;</p>
	
	<h1>Overview</h1>
	<p>
		<strong>Unread messages:</strong> ${data.overview.newMessages}
	</p>
	<#if data.overview.pendingNames?has_content>
		<p>
			<strong>Unvalidated map names:</strong> ${data.overview.pendingNames}
		</p>
	</#if>
	<#if data.overview.pendingBans?has_content>
		<p>
			<strong>Unvalidated ban requests:</strong> ${data.overview.pendingBans}
		</p>
	</#if>
	<#if data.overview.pendingBugs?has_content>
		<p>
			<strong>Bug reports pending validation:</strong> ${data.overview.pendingBugs}
		</p>
		<p>
			<strong>Open bug reports:</strong> ${data.overview.openBugs}
		</p>
		<p>
			<strong>Updated bug reports:</strong> ${data.overview.updatedBugs}
		</p>
	</#if>
</@page>