<@page title="Administrator ${data.view.name}">
	<h1>General information</h1>
	<@dt_main>
		<@dt_entry title="Name">${data.view.name?xhtml}</@dt_entry>
		<@dt_entry title="Address">
			<#if data.view.address?has_content>
				${data.view.address?xhtml}
			<#else>
				<em>(account deleted)</em>
			</#if>
		</@dt_entry>

		<@dt_entry title="Password modified">
			<#if data.view.passwordChange>
				no
			<#else>
				yes
			</#if>
		</@dt_entry>
		<#if data.view.id != data.admin.id && data.view.address?has_content && !data.view.passwordChange>
			<@dt_entry title=""><a href="reset-admin-${data.view.id}.action">Reset administration password</a></@dt_entry>
		</#if>
	</@dt_main>

	<#if data.view.id != data.admin.id && data.view.address?has_content>
		<p>&nbsp;</p>
		<h1>Privileges</h1>
		<@form action="admin-privileges-${data.view.id}">
			<tr class="form-field">
				<th>Privileges:</th>
				<td>
					<#list data.view.allPrivileges as privilege>
						<input class="input" type="checkbox" name="privileges" value="${privilege.privilege}" id="priv-${privilege.privilege}" <#if privilege.present>checked="checked"</#if> />
						<label for="priv-${privilege.privilege}"><abbr title="${privilege.privilege.description?xhtml}">${privilege.privilege}</abbr></label>
					</#list>
				</td>
			</tr>
			<@form_submit label="Update privileges" />
		</@form>
	</#if>
</@page>