package com.deepclone.lw.web.beans.session;


import java.io.Serializable;

import com.deepclone.lw.session.SessionReference;



public class ClientSessionReference
		implements Serializable
{

	private static final long serialVersionUID = 1L;
	private SessionReference reference;


	public ClientSessionReference( SessionReference reference )
	{
		this.setReference( reference );
	}


	public void setReference( SessionReference reference )
	{
		this.reference = reference;
	}


	public SessionReference getReference( )
	{
		return this.reference;
	}


	public boolean isNull( )
	{
		return this.reference == null;
	}


	public void clear( )
	{
		this.reference = null;
	}

}
