<#macro page title>
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
	<head>
		<title>Legacy Worlds Beta 6 <@version/> - ${title?xhtml}</title>
		<link rel="stylesheet" type="text/css" href="css/main.css" />
		<script type="text/javascript" charset="utf-8" src="js/jquery-1.7.1.min.js"></script>
		<script type="text/javascript" charset="utf-8" src="js/main.js"></script>
	</head>
	<body>
		<!-- Header -->
		<div id="hd-top">
			<div id="hd-logo">
				<a href="home" title="Legacy Worlds home page"><span>Legacy Worlds Beta 6 <@version/></span></a>
			</div>
			
			<!-- Title / login bar -->
			<div id="hd-bar">
				<div id="hd-summary">
					<form method="post" action="login.action">
						<div>
							E-mail address: <input type="text" name="mail" value="" size="15" maxlength="128" class='input' /><br/>
							Password: <input type="password" name="password" value='' size="15" maxlength="128" class='input' /><br/>
							<a title="Recover password" href="password-recovery">Forgot your password?</a>
							<input type="submit" value='Log in' class='input' />
						</div>
					</form>
				</div>
				<div id="hd-page">
					<h1>${title?xhtml}</h1>
				</div>
			</div>
			<div id="hd-text">current version: <@full_version/></div>
		</div>

		<!-- Menu
		   -
		   - FIXME: set "current" style on button for the current page
		  -->
		<div id="menu-left">
			<div class="button">
				<a href="scope" title="Scope of this milestone">Scope</a>
			</div>
			<div class="button">
				<a href="rules" title="Game rules">Rules</a>
			</div>
			<div class="button">
				<a href="register" title="Register">Register</a>
			</div>
		</div>

		<div id="page-contents"><#nested></div>

		<div id="footer">
			Copyright (C) 2004-2012,
			<a title="DeepClone Development" href="http://www.deepclone.com">DeepClone Development</a>
		</div>
	</body>
</html>
</#macro>