<@page title="Portée de ce jalon">
	<p>
		Ce jalon consiste majoritairement en l'écriture du moteur du jeu et des fonctionnalités
		administratives de base. De ce fait, le <a href="rules">jeu</a> lui-même est très limité,
		de même que l'interface. 
	</p>
	<p>&nbsp;</p>

	<h3>Serveur du jeu</h3>
	<p>
		Le serveur du jeu tourne indépendamment de toute interface et est en charge de toutes les 
		fonctionnalités administratives et de jeu. Cette version est focalisée sur :
	</p>
	<ul>
		<li><strong>bases système</strong> - enregistrement de fichiers journal, accès en cours d'exécution
			à des "constantes" liées au jeu, internationalisation, communications avec les interfaces utilisateur,</li>
		<li><strong>comptes</strong> - depuis l'enregistrement jusqu'aux préférences et à la gestion de l'inactivité,</li>
		<li><strong>système de nommage</strong> - les noms de toutes les entités au sein du jeu (empires et 
			planètes dans cette version) sont gérées par le même sous-système,</li>
		<li><strong>système de suivi des bugs</strong> - parce qu'il ne sera pas possible d'inclure de forums avant
			d'être bien plus loin dans le cycle de développement du jeu, le système de suivi des bugs est un outil 
			essentiel,</li>
		<li><strong>ordonnanceur</strong> - parce que les mises à jour ont quand même besoin d'être d'être calculées,
		parfois.</li>
	</ul>
	<p>&nbsp;</p>

	<h3>Administration du serveur</h3>
	<p>
		L'administration du serveur est l'une des composantes principales de cette version, bien que
		la plupart des gens ne la verront (on peut l'espérer) jamais. Elle est implantée comme une
		interface utilisateur séparée qui accède au serveur par son interface de communication externe.
		L'interface d'administration inclut :
	</p>
	<ul>
		<li><strong>système de droits</strong> (tous les administrateurs ne sont pas égaux),</li>
		<li><strong>gestion des comptes</strong>,</li>
		<li><strong>accès aux paramètres du jeu</strong>,</li>
		<li><strong>administration du suivi des bugs</strong>,</li>
		<li><strong>validation de noms</strong>,</li>
		<li><strong>affichage des fichiers journal</strong>,</li>
		<li><strong>rapports d'erreurs automatisés</strong>.</li>
	</ul>
	<p>&nbsp;</p>
	
	<h3>Jeu et interface</h3>
	<p>
		Bien que je jeu n'apporte rien de réellement nouveau, il est basé sur un système de mise à
		jour à la minute. Son interface n'est probablement pas appropriée, du fait que la disposition
		de l'interface externe de la Beta 5 est un peu restreinte quand il s'agit d'afficher toutes
		les informations requises au sein du jeu. Cette interface est quoi qu'il en soit temporaire.
	</p>
	<p>
		Cette version est disponible en deux langues - anglais et français - parce que le système
		d'internationalisation a besoin d'être testé. Mais il est extrêmement probable que les futurs
		jalons ne seront disponibles qu'en anglais. 
	</p>
</@page>