<#macro bugTab href title selected>
	<a class="tab-button<#if selected> selected-tab</#if>" href="${href}">${title}</a>
</#macro>
<#macro bugTabs selected qString>
	<div class="tab-buttons">
		<@bugTab href="bugtrack?${qString}" title="Lister les bugs" selected=( selected = 'bugsList' ) />
		<@bugTab href="report-bug?${qString}" title="Rapporter un bug" selected=( selected = 'bugsReport' ) />
	</div>
</#macro>
<#macro bugStatus status>
	<#switch status>
		<#case "PENDING">en attende de validation<#break>
		<#case "OPEN">en cours de traitement<#break>
		<#case "RESOLVED">résolu<#break>
		<#case "WONT_FIX">ne sera pas résolu<#break>
		<#case "NOT_A_BUG">pas un bug<#break>
	</#switch>
</#macro>