<#include "messageTabs.ftl" />
<#macro render>
<@page title="Destinataires">
	<@messageTabs selected="compose" />
	
	<@tabs>
	
		<#if data.empires?size gt 0>
			<@tab id="empires" title="Empires">
				<table style="width:98%">
					<#list data.empires as empire>
						<#if empire_index % 3 == 0>
							<tr><td style="text-align:center;width: 34%">
						<#else>
							<td style="text-align:center;width: 33%">
						</#if>
						<a style="margin: 5px 20px;padding: 4px" href="msg-empire-${empire.id}">${empire.name?xhtml}</a></td>
						<#if empire_index % 3 == 2></tr></#if>
					</#list>
					<#if data.empires?size % 3 == 1>
						<td>&nbsp;</td><td>&nbsp;</td></tr>
					<#elseif data.empires?size % 3 == 2>
						<td>&nbsp;</td></tr>
					</#if>
 				</table>
			</@tab>
		</#if>
	
		<#if data.alliances?size gt 0>
			<@tab id="alliances" title="Alliances">
				<@listview>
					<#list data.alliances as alliance>
						<@lv_line>
							<td style="width: 100px; text-align:right"><a href="msg-alliance-${alliance.id}">[${alliance.tag?xhtml}]</a>&nbsp;&nbsp;</td>
							<td>${alliance.name}</td>
						</@lv_line>
					</#list>
				</@listview>
			</@tab>
		</#if>

		<#if data.admins?size gt 0>
			<@tab id="admins" title="Administrateurs">
				<@listview>
					<#list data.admins as admin>
						<@lv_line>
							<td style="width: 100px; text-align:right"><a href="msg-admin-${admin.id}">${admin.name?xhtml}</a>&nbsp;&nbsp;</td>
							<td>
								<#list admin.privileges as priv>
									<abbr title="${priv.description?xhtml}">${priv}</abbr>
								</#list>
							</td>
						</@lv_line>
						<tr><td colspan="2">&nbsp;</td></tr>
					</#list>
				</@listview>
			</@tab>
		</#if>

	</@tabs>
</@page>
</#macro>