<#macro ff_text name value id="" maxLength=0 size=0>
	<input class="input" id="ff-${id?xhtml}" type="text" value="${value?xhtml}" name="${name?xhtml}" <#if maxLength gt 0>maxlength="${maxLength?string}"</#if> <#if size gt 0>size="${size?string}"</#if> />
</#macro>
<#macro ff_pwd id name>
	<input class="input" id="ff-${id?xhtml}" type="password" name="${name?xhtml}" /> 
</#macro>
<#macro ff_select id name style="">
	<select class="input" name="${name?xhtml}" id="ff-${id?xhtml}" <#if style != "">style="${style}"</#if>>
		<#nested>
	</select>
</#macro>
<#macro ff_checkbox id name value checked=false>
	<input class="input" type="checkbox" name="${name?xhtml}" id="ff-${id?xhtml}" value="${value?xhtml}" <#if checked>checked="checked"</#if> />
</#macro>
<#macro form_option text="" selected=false value="">
	<option<#if value?string != ""> value="${value?xhtml}"</#if><#if selected> selected="selected"</#if>><#if text == ""><#nested><#else>${text?xhtml}</#if></option>
</#macro>
<#macro ff_submit label extraClass="" name="" style="">
	<input class="input<#if extraClass?has_content> ${extraClass}</#if>" <#if name?has_content>name="${name?xhtml}"</#if> type="submit" value="${label?xhtml}" <#if style != "">style="${style}"</#if> />
</#macro>